#! /usr/bin/perl

use strict;
use warnings;
use Module::Build;

my $build = Module::Build->new(
    module_name       => 'Nagios::Check::DNS::check_tlsa_record',
    license           => 'perl',
    dist_name         => 'nagios-plugin-tlsa-record',
    dist_author       => 'Heike Yvonne Pesch <pesch@schlittermann.de>',
    dist_abstract     => 'short description',
    dist_version_from => 'lib/Nagios/Check/DNS/check_tlsa_record.pm',
    build_requires    => {
        'Module::Build' => '0.4',
    },
    requires => {
        'Test::More'         => '0.10',
        'Monitoring::Plugin' => '0.39',
    },
    checks_files => {
        'bin/check_tlsa-record' => 'nagios/plugins/ius/check_tlsa_record',
    },
    bin_scripts => [glob 'bin/*'],

);

if (not defined $build->install_path('nagios')) {
    my $base = do {
        if    ($build->installdirs eq 'vendor') { '/usr/lib' }
        elsif (defined $build->install_base)    { $build->install_base }
        else                                    { '/usr/local/lib' }
    };
    $build->install_path(nagios => "$base/nagios");
}

$build->bindoc_dirs([@{ $build->bindoc_dirs }, 'blib/nagios/plugins/ius']);
$build->add_build_element('checks');

$build->create_build_script();

# vim: ft=perl ts=2 sw=2
